<?xml version="1.0" encoding="ISO-8859-1"?>

<product productid="_inferno_shoutbox" active="1">
	<title>Project-DDL Inferno vBShout</title>
	<description>Real time shoutbox (Edited and Fixed by Project-DDLs Tataku (d22552000))</description>
	<version>2.5.2.009</version>
	<url>http://otk.project-ddl.org/forum/index.php</url>
	<versioncheckurl />
	<dependencies>
		<dependency dependencytype="vbulletin" minversion="4.0.0" maxversion="" />
	</dependencies>
	<codes>
		<code version="1.0.0">
			<installcode><![CDATA[$db->reporterror = false;
$db->query("CREATE TABLE `" . TABLE_PREFIX . "infernoshout` (
  `sid` int(15) NOT NULL auto_increment,
  `s_user` int(15) NOT NULL default '0',
  `s_time` int(15) NOT NULL default '0',
  `s_shout` text NOT NULL,
  `s_me` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`sid`)
) TYPE=MyISAM");
$db->query("CREATE TABLE `" . TABLE_PREFIX . "infernoshoutsessions` (
  `sid` int(15) NOT NULL auto_increment,
  `s_user` int(15) NOT NULL,
  `s_activity` int(15) NOT NULL,
  PRIMARY KEY  (`sid`),
  KEY `s_activity` (`s_activity`)
) TYPE=MyISAM");
$db->query("CREATE TABLE `" . TABLE_PREFIX . "infernoshoutusers` (
  `s_user` int(15) NOT NULL auto_increment,
  `s_bold` enum('1','0') NOT NULL default '0',
  `s_italic` enum('1','0') NOT NULL default '0',
  `s_underline` enum('1','0') NOT NULL default '0',
  `s_color` varchar(20) NOT NULL,
  `s_font` varchar(50) NOT NULL,
  PRIMARY KEY  (`s_user`)
) TYPE=MyISAM");
$db->query("insert into " . TABLE_PREFIX . "infernoshout (s_user, s_time, s_shout) values (1, " . TIMENOW . ", 'Inferno vBShout has just been installed successfully. You can use the /prune command to remove this message and any others at any time. We recommend you configure your options first.')");
$db->reporterror = false;
$db->query("ALTER TABLE `" . TABLE_PREFIX . "infernoshoutusers` ADD `s_silenced` ENUM( '1', '0' ) NOT NULL DEFAULT '0';");
$db->query("ALTER TABLE `" . TABLE_PREFIX . "infernoshoutusers` ADD `s_ignored` TEXT NOT NULL ;");
$db->query("ALTER TABLE `" . TABLE_PREFIX . "infernoshout` ADD `s_private` INT( 15 ) NOT NULL DEFAULT '-1';");
$db->reporterror = true;]]></installcode>
			<uninstallcode><![CDATA[$db->reporterror = false;
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshout`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutsessions`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutusers`");
$db->reporterror = true;]]></uninstallcode>
		</code>
		<code version="1.0.1">
			<installcode><![CDATA[$db->reporterror = false;
$db->query("ALTER TABLE `" . TABLE_PREFIX . "infernoshoutusers` ADD `s_silenced` ENUM( '1', '0' ) NOT NULL DEFAULT '0';");
$db->query("ALTER TABLE `" . TABLE_PREFIX . "infernoshoutusers` ADD `s_ignored` TEXT NOT NULL ;");
$db->query("ALTER TABLE `" . TABLE_PREFIX . "infernoshout` ADD `s_private` INT( 15 ) NOT NULL DEFAULT '-1';");
$db->query("insert into " . TABLE_PREFIX . "infernoshout (s_user, s_time, s_shout) values (1, " . (TIMENOW + 1) . ", 'Congratulations, this has just been upgraded to Inferno vBShout PRO!')");
$db->reporterror = true;]]></installcode>
			<uninstallcode><![CDATA[$db->reporterror = false;
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshout`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutsessions`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutusers`");
$db->reporterror = true;]]></uninstallcode>
		</code>
		<code version="2.0.0">
			<installcode><![CDATA[$db->reporterror = false;
$db->query("ALTER TABLE `" . TABLE_PREFIX ."infernoshoutusers` ADD `s_filters` VARCHAR( 255 ) NOT NULL ;");
$db->query("ALTER TABLE `" . TABLE_PREFIX ."infernoshoutusers` ADD `s_commands` TEXT NOT NULL ;");
$db->query("insert into " . TABLE_PREFIX . "infernoshout (s_user, s_time, s_shout) values (1, " . (TIMENOW + 1) . ", 'Congratulations, this shoutbox has just been upgraded to Inferno vBShout PRO v2!')");
$db->reporterror = true;]]></installcode>
			<uninstallcode><![CDATA[$db->reporterror = false;
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshout`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutsessions`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutusers`");
$db->reporterror = true;]]></uninstallcode>
		</code>
		<code version="2.5.0">
			<installcode><![CDATA[$db->reporterror = false;
$db->query("
 CREATE TABLE " . TABLE_PREFIX . "infernoshoutlog (
`lid` INT( 15 ) NOT NULL AUTO_INCREMENT ,
`l_time` INT( 15 ) NOT NULL ,
`l_ip` VARCHAR( 255 ) NOT NULL ,
`l_message` MEDIUMTEXT NOT NULL ,
`l_user` INT( 15 ) NOT NULL,
`l_type` VARCHAR( 255 ) NOT NULL,
PRIMARY KEY ( `lid` )
) TYPE = MYISAM;
");
$db->query("insert into " . TABLE_PREFIX . "infernoshout (s_user, s_time, s_shout) values (1, " . (TIMENOW + 1) . ", 'Congratulations, this has just been upgraded to Inferno Shoutbox Pro v2.5.1!')");
$db->reporterror = true;]]></installcode>
			<uninstallcode><![CDATA[$db->reporterror = false;
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshout`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutsessions`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutusers`");
$db->query("DROP TABLE `" . TABLE_PREFIX . "infernoshoutlog`");
$db->reporterror = true;]]></uninstallcode>
		</code>
	</codes>
	<templates>
		<template name="inferno_shoutbox_activeusers" templatetype="template" date="1179270437" username="Zero Tolerance" version="1.0 Lite"><![CDATA[<div class="smallfont"><strong>Currently Active Shoutbox Users:</strong> {vb:raw total}
<div>{vb:raw activeusers}</div>
</div>]]></template>
		<template name="inferno_shoutbox_archive" templatetype="template" date="1207174859" username="Zero Tolerance" version="2.0.0"><![CDATA[<if condition="$cansearch">
<form method="post" action="infernoshout.php">
<input type="hidden" name="do" value="archive" />
<input type="hidden" name="search" value="1" />
</if>
<table cellpadding="0" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
	<td width="70%" align='left' valign='top'>
		<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
		<tr>
			<td class="tcat" align="left">
				Shoutbox Archive
			</td>
		</tr>
		$shouthtml
		</table>
	</td>
	<td>&nbsp;&nbsp;</td>
	<td width='30%' align='right' valign='top'>
		<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
		<thead>
		<tr>
			<td class="tcat" align="left" colspan="2">
				<a style="float:$stylevar[right]" href="#top" onclick="return toggle_collapse('infernoshout_stats')"><img id="collapseimg_infernoshout_stats" src="$stylevar[imgdir_button]/collapse_tcat$vbcollapse[collapseimg_vbshout_stat].gif" alt="" border="0" /></a>
				Statistics
			</td>
		</tr>
		</thead>
		<tbody id="collapseobj_infernoshout_stats" style="$vbcollapse[collapseobj_infernoshout_stats]">
		<tr>
			<td class="alt1" align="left">
				<b>Total shouts posted:</b>
			</td>
			<td class="alt2" width="1%" align="left">
				$TS
			</td>
		</tr>
		<tr>
			<td class="alt1" align="left">
				<b>Shouts in past 24 hours:</b>
			</td>
			<td class="alt2" width="1%" align="left">
				$T4		
			</td>
		</tr>
		<tr>
			<td class="alt1" align="left">
				<b>Your shouts:</b>
			</td>
			<td class="alt2" width="1%" align="left">
				$TY
			</td>
		</tr>
		</tbody>
		<if condition="$cansearch">
		<tr>
			<td class="thead" align="left" colspan="2">
				<a style="float:$stylevar[right]" href="#top" onclick="return toggle_collapse('infernoshout_stats_search')"><img id="collapseimg_infernoshout_stats_search" src="$stylevar[imgdir_button]/collapse_thead$vbcollapse[collapseimg_infernoshout_stats_search].gif" alt="" border="0" /></a>
				Search Shouts
			</td>
		</tr>
		<tbody id="collapseobj_infernoshout_stats_search" style="$vbcollapse[collapseobj_infernoshout_stats_search]">
		<tr>
			<td class="alt1" align="left" colspan="2" valign="middle" style="white-space: nowrap;">
				<fieldset class="fieldset">
					<legend>Search Terms</legend>

					<table cellpadding="0" cellspacing="4" border="0" width="100%">
					<tr>
						<td style="white-space: nowrap;"><b>Shout Contains:</b></td>
						<td><input type="text" name="search[phrase]" value="{$search['phrase']}" size="25" class="bginput" /></td>
					</tr>
					<tr>
						<td style="white-space: nowrap;"><b>Username Contains:</b></td>
						<td><input type="text" name="search[username]" value="{$search['username']}" size="25" class="bginput" /></td>
					</tr>
					<tr>
						<td style="white-space: nowrap;"><b>Within Past <em>X</em> Hours:</b></td>
						<td><input type="text" name="search[time]" value="<if condition="$search['time']">{$search['time']}<else />10</if>" size="2" class="bginput" /></td>
					</tr>
					<tr>
						<td style="white-space: nowrap;"><b>Sort Results By:</b></td>
						<td>
							<span style="float: right"><input type="submit" class="button" value="Search" /></span>
							<select class="bginput" name="search[sort]">
								<option value="new"<if condition="$search[sort] == 'new'"> selected="selected"</if>>Newest First</option>
								<option value="old"<if condition="$search[sort] == 'old'"> selected="selected"</if>>Oldest First</option>
							</select>
						</td>
					</tr>
					</table>
				</fieldset>
			</td>
		</tr>
		</tbody>
		</if>
		<tr>
			<td class="thead" align="left" colspan="2">
				<a style="float:$stylevar[right]" href="#top" onclick="return toggle_collapse('infernoshout_stats_top10')"><img id="collapseimg_infernoshout_stats_top10" src="$stylevar[imgdir_button]/collapse_thead$vbcollapse[collapseimg_infernoshout_stats_top10].gif" alt="" border="0" /></a>
				Top $top_shouter_num Shouters
			</td>
		</tr>
		<tbody id="collapseobj_infernoshout_stats_top10" style="$vbcollapse[collapseobj_infernoshout_stats_top10]">
		$TopTen
		</tbody>
		</table>
	</td>
</tr>
</table>
<if condition="$cansearch"></form></if>

$pagenav

<script type="text/javascript" src="infernoshout/browser/infernoshout.js?ver={$vboptions['ishout_jversion']}"></script>
<script type="text/javascript">
<!--

/**
 * Inferno Shoutbox Javascript Engine
 * Created By Inferno Technologies
 * All Rights Reserved
 * * * * * * * * * * * * * * *
 */

InfernoShoutbox = new _ishout;
InfernoShoutbox.archive = true;
-->
</script>]]></template>
		<template name="inferno_shoutbox_archive_shout" templatetype="template" date="1207177640" username="Zero Tolerance" version="2.0.0"><![CDATA[<if condition="!$single_only">
<tbody id="shout_row_{$shout['sid']}">
<tr>
	<td class="thead" align="left">
		<span style='float:right'>$date $time</span>
		<a href="member.php?{$session['sessionurl']}u={$shout['s_user']}">{$shout['musername']}</a> <if condition="$canmod">(<a href="?" onclick="return InfernoShoutbox.edit_shout('{$shout['sid']}');">Edit</a> &middot; <a href="?" onclick="return confirm('Are you sure you want to delete this shout') ? InfernoShoutbox.archive_edit_shout('{$shout['sid']}', 1) : false;">Delete</a>)</if> <if condition="$shout[s_private] > 0"><strong>(Private Message)</strong></if>
	</td>
</tr>
<tr>
	<td class="alt1" width="1%" align="left" id="shout_shell_{$shout['sid']}">
</if>
		<div id="shout_{$shout['sid']}">
		<if condition="!$shout[s_me]">
			{$shout['s_shout']}
		<else />
			<span class='highlight'>
				*{$shout['musername']} {$shout['s_shout']}*
			</span>
		</if>
		</div>
		<div id="shout_edit_{$shout['sid']}" style="display: none;">
			<input type="text" class="bginput" />
			<input type="button" class="button" value="Cancel" onclick="return InfernoShoutbox.cancel_edit_shout('{$shout['sid']}');" />
			<input type="button" class="button" value="Update" onclick="return InfernoShoutbox.archive_edit_shout('{$shout['sid']}');" />
		</div>
<if condition="!$single_only">
	</td>
</tr>
</tbody>
</if>]]></template>
		<template name="inferno_shoutbox_archive_topshouter" templatetype="template" date="1180474798" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[<tr>
	<td class="alt1" align="left">
		<a href="member.php?{$session['sessionurl']}u={$TTS['s_user']}">{$TTS['username']}</a>
	</td>
	<td class="alt2" width="1%" align="left">
		{$TTS['TS']}
	</td>
</tr>]]></template>
		<template name="inferno_shoutbox_box" templatetype="template" date="1207255867" username="Zero Tolerance" version="2.0.0"><![CDATA[<table cellpadding="2" cellspacing="4" border="0" width="100%" align="center" class="L1 collapse">
<thead>
<tr>
	<td align="center">
		<h2 class="blockhead"><a id="collapse_collapseobj_forumhome_infernoshout" href="{vb:raw relpath}#top" title="{vb:raw vboptions.ishout_sbtitle}">{vb:raw vboptions.ishout_sbtitle}</a></h2>
	</td>
</tr>
</thead>
<tbody id="shoutbox_editshout" style="display: none;">
	<tr>
		<td class="alt1" align="left" width="100%">
			<form onsubmit="return InfernoShoutbox.do_edit_shout();" action="index.php" id="editshoutform">
				<span style="float: right;">
					<input type="submit" class="button" value="Update" />
					<input type="button" class="button" value="Delete" onclick="InfernoShoutbox.do_edit_shout(true);" />
					<input type="button" class="button" value="Cancel" onclick="InfernoShoutbox.cancel_edit_shout();" />
				</span>
				<input type="text" size="60" class="bginput" name="editshout" />
				<input type="hidden" name="shoutid" value="" />
			</form>
		</td>
	</tr>
</tbody>
<tbody id="shoutbox_smilies" style="display: none;">
	<tr>
		<td class="alt1" align="center" width="100%" id="shoutbox_smilies_row">
		</td>
	</tr>
</tbody>
<tbody id="collapseobj_forumhome_infernoshout">
	<tr>
		<td class="alt1" align="left" width="100%">
		<vb:if condition="!$vboptions[ishout_editor_position] && $bbuserinfo[userid] > 0">
			<form onsubmit="return InfernoShoutbox.shout();" action="index.php">
			{vb:raw editor}
			<div style="height: 4px"></div>
			</form>
		</vb:if>


		<div class="alt2" style="padding: 0px; margin: 0px; border: 0px !important;">
				<table width="100%" cellpadding="0" cellspacing="0" id="vbshout_pro_tabs">
				<tr>
					<td class="alt1" width="100%" style="padding: 0px; margin: 0px; border: 0px !important;">&nbsp;</td>
				</tr>
				</table>
		</div>

		<div class="alt2" id="shoutbox_notice" style="border: 0px !important; display: none; padding-left: 3px; padding-top: 3px; padding-bottom: 0px; padding-right: 0px;"><b class="highlight">Shoutbox Notice:</b> <span class="smallfont" id="shoutbox_notice_message"></span></div>
		<div class="alt2" id="shoutbox_window" style="border: 0px !important;"><span id="shoutbox_frame" style="border: 0px !important; display: block; padding: 3px; overflow:auto;height:{vb:raw vboptions.ishout_height}px; width: 99%;">Loading...</span><span id="shoutbox_users_frame" style="display: none; padding: 3px; overflow:auto;height:{vb:raw vboptions.ishout_height}px; width: 99%;">Loading...</span></div>

		<vb:if condition="$vboptions[ishout_editor_position] && $bbuserinfo[userid] > 0">
			<form onsubmit="return InfernoShoutbox.shout();" action="index.php">
			<div style="height: 4px"></div>
			{vb:raw editor}
			</form>
		</vb:if>
		</td>
	</tr>
</tbody>
</table>
<br />

<script type="text/javascript" src="infernoshout/browser/infernoshout.js?ver={vb:raw vboptions.ishout_jversion}"></script>
<script type="text/javascript">
<!--

/**
 * Inferno Shoutbox Javascript Engine
 * Created By Inferno Technologies
 * All Rights Reserved
 * * * * * * * * * * * * * * *
 */

InfernoShoutbox = new _ishout;
<vb:if condition="$_REQUEST['do'] == 'detach'">InfernoShoutbox.detached = true;</vb:if>
<vb:if condition="$vboptions[ishout_aop]">InfernoShoutbox.aop = true;</vb:if>
InfernoShoutbox.initiate(
	'{vb:raw iShout.script}',
	'{vb:raw vboptions.ishout_idletime}',
	'{vb:raw iShout.s_bold}',
	'{vb:raw iShout.s_italic}',
	'{vb:raw iShout.s_underline]}',
	'{vb:raw vboptions.ishout_shoutorder}',
	'{vb:raw vboptions.ishout_flood}',
	'{vb:raw vboptions.ishout_height}',
	parseInt("{$vboptions[ishout_ajaxrefresh]}") * 1000
);
<vb:if condition="$vboptions[ishout_autoidle]">InfernoShoutbox.idle = true;</vb:if>
-->
</script>]]></template>
		<template name="inferno_shoutbox_commands" templatetype="template" date="1195157711" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[<form action="infernoshout.php" method="post">
<input type="hidden" name="do" value="options" />
<input type="hidden" name="area" value="commands" />
<input type="hidden" name="update" value="1" />
<table cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center" class="tborder">
<tr>
	<td class="tcat" colspan="2">Shoutbox Commands</td>
</tr>
<tr>
	<td class="thead" colspan="2">Manage Your Custom Commands</td>
</tr>
<tr>
	<td class="alt1" colspan="2">
		You can create new commands here, simply enter the command and the output, an example would be:
		<br /><br />
		<span class="smallfont">
			<b>Command:</b> /slapuser {input}
			<br /><b>Output:</b> /me slaps {input}
		</span>
		<br /><br />'<em>{input}</em>' is an extra variable you can use in your commands, so the above example out produce the following in the command:
		<br /><br /><span class="smallfont">/me slaps {$bbuserinfo['username']} (If you typed: /slapuser {$bbuserinfo['username']})</span>
	</td>
</tr>
<tr>
	<td class="thead" colspan="2">Manage Existing Commands</td>
</tr>
<if condition="$current_commands">
$current_commands
<else />
<tr>
	<td colspan="2" class="alt1"><em>You currently have no existing commands entered</em></td>
</tr>
</if>
<tr>
	<td class="thead" colspan="2">Add New Custom Commands</td>
</tr>
$new_commands
<tr>
	<td class="tfoot" align="center" colspan="2"><input type="submit" value="Save Settings" class="button" /></td>
</tr>
</table>]]></template>
		<template name="inferno_shoutbox_commands_row" templatetype="template" date="1195157977" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[<tr>
	<td class="alt1" width="50%">
		<fieldset class="fieldset">
			<legend>Command Input</legend>
			<div align="center"><input type="text" size="50" value="$command[input]" class="bginput" name="commands[input][]" /></div>
		</fieldset>	
	</td>
	<td class="alt2" width="50%">
		<fieldset class="fieldset">
			<legend>Command Output</legend>
			<div align="center"><input type="text" size="50" value="$command[output]" class="bginput" name="commands[output][]" /></div>
		</fieldset>
	</td>
</tr>]]></template>
		<template name="inferno_shoutbox_cp" templatetype="template" date="1195079341" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[<table cellpadding="0" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
<tr>
	<td width="20%" align='left' valign='top'>
		<table class="tborder" cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center">
		<tr>
			<td class="tcat" align="left">
				Shoutbox CP
			</td>
		</tr>
		<tr>
			<td class="thead" align="left">
				Menu
			</td>
		</tr>
		<tr>
			<td class="alt2" align="left" style="white-space: nowrap;">
				&raquo; <a href="infernoshout.php?$session[sessionurl]do=options&amp;area=filters">Filters</a>
			</td>
		</tr>
		<tr>
			<td class="alt2" align="left" style="white-space: nowrap;">
				&raquo; <a href="infernoshout.php?$session[sessionurl]do=options&amp;area=commands">Custom Commands</a>
			</td>
		</tr>
		<tr>
			<td class="alt2" align="left" style="white-space: nowrap;">
				&raquo; <a href="infernoshout.php?$session[sessionurl]do=options&amp;area=ignore">Ignored Users</a>
			</td>
		</tr>
		</table>
	</td>
	<td>&nbsp;&nbsp;</td>
	<td width='80%' align='left' valign='top'>
		$SETTING
	</td>
</tr>
</table>]]></template>
		<template name="inferno_shoutbox_detach" templatetype="template" date="1206410596" username="Zero Tolerance" version="2.0.0"><![CDATA[$stylevar[htmldoctype]
<html xmlns="http://www.w3.org/1999/xhtml" dir="$stylevar[textdirection]" lang="$stylevar[languagecode]" id="vbulletin_html">
<head>
$headinclude
<title>$vboptions[ishout_sbtitle]</title>
</head>
<body>
$HTML
</body>
</html>]]></template>
		<template name="inferno_shoutbox_editor" templatetype="template" date="1206410761" username="Zero Tolerance" version="2.0.0"><![CDATA[<table width='100%' border='0' cellpadding='0' cellspacing='0'>
	<tr>
	<td width='100%'>
		<input type="text" name="vbshout_pro_shoutbox_editor" style="width: 93%" class="bginput" id="vbshout_pro_shoutbox_editor" />
	</td>
	<td style='white-space:nowrap' width='1%'>
		<input type="button" value="Shout" class="button" onclick='InfernoShoutbox.shout();' />
		<vb:if condition="$vboptions['ishout_editor_tools'] & 32"><input type='button' class='button' value='Clear' onclick='InfernoShoutbox.clear();' /></vb:if>
		<vb:if condition="$vboptions['ishout_editor_tools'] & 64"><input type='button' class='button' value='Smilies' onclick='InfernoShoutbox.smilies();' /></vb:if>
		<!--<vb:if condition="$_REQUEST['do'] != 'detach'"><input type="button" value="Options" class="button" onclick='InfernoShoutbox.goto_options();' /></vb:if>
		<vb:if condition="($vboptions['ishout_editor_tools'] & 128) && $_REQUEST['do'] != 'detach'"><input type='button' class='button' value='Detach' onclick='InfernoShoutbox.detach();' /></vb:if>-->
		<vb:if condition="$vboptions['ishout_editor_tools'] & 1"><input id='sb_mem_bold' type='button' class='button' style='font-weight:bold' value='B' onclick='InfernoShoutbox.assign_styleprop("fontWeight", this);' /></vb:if>
		<vb:if condition="$vboptions['ishout_editor_tools'] & 2"><input id='sb_mem_underline' type='button' class='button' style='text-decoration:underline' value='U' onclick='InfernoShoutbox.assign_styleprop("textDecoration", this);' /></vb:if>
		<vb:if condition="$vboptions['ishout_editor_tools'] & 4"><input id='sb_mem_italic' type='button' class='button' style='font-style:italic' value='I' onclick='InfernoShoutbox.assign_styleprop("fontStyle", this);' /></vb:if>
		<vb:if condition="$vboptions['ishout_editor_tools'] & 8"><select id='sb_color_mem' name='font_color' onchange='InfernoShoutbox.assign_styleprop("color", this);'>{vb:raw editor.colors}</select></vb:if>
		<vb:if condition="$vboptions['ishout_editor_tools'] & 16"><select id='sb_font_mem' name='font_selector' onchange='InfernoShoutbox.assign_styleprop("fontFamily", this);'>{{vb:raw editor.fonts}}</select></vb:if>
	</td>
</tr>
</table>]]></template>
		<template name="inferno_shoutbox_filters" templatetype="template" date="1195155910" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[<form action="infernoshout.php" method="post">
<input type="hidden" name="do" value="options" />
<input type="hidden" name="area" value="filters" />
<input type="hidden" name="update" value="1" />
<table cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center" class="tborder">
<tr>
	<td class="tcat" colspan="2">Shoutbox Filters</td>
</tr>
<tr>
	<td class="thead" colspan="2">Choose the content you wish to filter</td>
</tr>
<tr>
	<td class="alt1">Hide BBCode:</td>
	<td class="alt2" width="1%"><input type="checkbox" class="bginput" name="filters[bbcode]" value="1" <if condition="$filters[bbcode]">checked="checked"</if> /></td>
</tr>
<tr>
	<td class="alt1">Hide Private Messages:</td>
	<td class="alt2" width="1%"><input type="checkbox" class="bginput" name="filters[pm]" value="1" <if condition="$filters[pm]">checked="checked"</if> /></td>
</tr>
<tr>
	<td class="alt1">Hide '/me' Shouts:</td>
	<td class="alt2" width="1%"><input type="checkbox" class="bginput" name="filters[me]" value="1" <if condition="$filters[me]">checked="checked"</if> /></td>
</tr>
<tr>
	<td class="tfoot" align="center" colspan="2"><input type="submit" value="Save Settings" class="button" /></td>
</tr>
</table>]]></template>
		<template name="inferno_shoutbox_ignore" templatetype="template" date="1195081449" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[<form action="infernoshout.php" method="post">
<input type="hidden" name="do" value="options" />
<input type="hidden" name="area" value="ignore" />
<input type="hidden" name="update" value="1" />
<table cellpadding="$stylevar[cellpadding]" cellspacing="$stylevar[cellspacing]" border="0" width="100%" align="center" class="tborder">
<tr>
	<td class="tcat" colspan="2">Ignored Users</td>
</tr>
<tr>
	<td class="thead" colspan="2">Quick Ignore Management</td>
</tr>
<tr>
	<td class="alt1" colspan="2">In addition to using the options panel, you can execute the following commands within the shoutbox to quickly update your ignored settings:<br /><br />
	<span class="smallfont">
		/ignore $bbuserinfo[username]<br />
		/unignore $bbuserinfo[username]
	</span>
	</td>
</tr>
<tr>
	<td class="thead" colspan="2">Manage Existing Ignored Users</td>
</tr>
	<if condition="$already_ignored">
	$already_ignored
	<else />
<tr>
	<td class="alt1" colspan="2"><em>You are currently not ignoring any users from the shoutbox.</em></td>
</tr>
	</if>
<tr>
	<td class="thead" colspan="2">Add New Ignored Users</td>
</tr>
$new_ignore
<tr>
	<td class="tfoot" align="center" colspan="2"><input type="submit" value="Save Settings" class="button" /></td>
</tr>
</table>]]></template>
		<template name="inferno_shoutbox_ignore_user" templatetype="template" date="1195079461" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[<tr>
	<td class="alt1">Enter the username of the user you wish to ignore:</td>
	<td class="alt2" width="1%"><input type="text" class="bginput" name="ignore[]" value="$ignore[username]" /></td>
</tr>]]></template>
		<template name="inferno_shoutbox_shout" templatetype="template" date="1206323394" username="Zero Tolerance" version="2.0.0"><![CDATA[<vb:if condition="!$shout[s_me]">
<div style="padding-top: 1px; padding-bottom: 1px;<vb:if condition="$shout[s_notice]">padding-bottom: 6px;</vb:if>" class="smallfont"<vb:if condition="$shout[canmod]"> ondblclick="return InfernoShoutbox.edit_shout({vb:raw shout.sid});"</vb:if>><vb:if condition="!$shout[s_notice]">[<span class="time">{vb:raw shout.date} {vb:raw shout.time}</span>] </vb:if><vb:if condition="$shout[s_private] > 0 && !$ispmwindow">[<strong>PM</strong>] </vb:if><vb:if condition="!$shout[s_notice]"><a <vb:if condition="!$vboptions[ishout_disable_pm]">href="#" onclick="return InfernoShoutbox.open_pm_tab('pm_{vb:raw shout.userid}', '{vb:raw shout.javascript_name}');"<vb:else />href="member.php?{vb:raw session.sessionurl}u={vb:raw shout.s_user}"</vb:if>></vb:if>{vb:raw shout.musername}<vb:if condition="!$shout[s_notice]"></a></vb:if>: {vb:raw shout.s_shout}</div>
<vb:else />
<div style="padding-top: 1px; padding-bottom: 1px;" class="smallfont"<vb:if condition="$shout[canmod]"> ondblclick="return InfernoShoutbox.edit_shout({vb:raw shout.sid});"</vb:if>>*{vb:raw shout.musername} {vb:raw shout.s_shout}*</div>
</vb:if>]]></template>
		<template name="inferno_shoutbox_user" templatetype="template" date="1179270159" username="Zero Tolerance" version="1.0 Lite"><![CDATA[<a href="member.php?{vb:raw session.sessionurl}u={vb:raw user.userid}">{vb:raw user.musername}</a>]]></template>
	</templates>
	<stylevardfns>
	</stylevardfns>
	<stylevars>
	</stylevars>
	<plugins>
		<plugin active="1" executionorder="5">
			<title>Inferno Shoutbox: Admin Usergroup Commands</title>
			<hookname>admin_options_print</hookname>
			<phpcode><![CDATA[if (!function_exists('fetch_all_usergroups'))
{
	function fetch_all_usergroups()
	{
		global $vbulletin;

		if (is_array($vbulletin->ugs))
		{
			return $vbulletin->ugs;
		}

		$ugs = array();

		$usergroups = $vbulletin->db->query('select usergroupid, title from ' . TABLE_PREFIX . 'usergroup order by `title`');
		while ($usergroup = $vbulletin->db->fetch_array($usergroups))
		{
			$ugs[$usergroup['usergroupid']] = $usergroup['title'];
		}

		$vbulletin->ugs = $ugs;

		return $vbulletin->ugs;
	}
}

if (in_array($setting['optioncode'], array('default---infernoshout---usergroups', 'default---infernoshout---usergroups---hidden', 'default---infernoshout---usergroups---protected', 'default---infernoshout---usergroups---bannedug', 'default---infernoshout---usergroups---archiveperm', 'default---infernoshout---usergroups---archivesearchperm')))
{
	$options = fetch_all_usergroups();

	$allowed = explode(',', $setting['value']);

	if (!is_array($allowed))
	{
		$allowed = array();
	}

	$setting['html'] = "<div id=\"ctrl_setting[$setting[varname]]\" class=\"smallfont\">\r\n";
	$setting['html'] .= "<input type=\"hidden\" name=\"setting[$setting[varname]][0]\" value=\"0\" />\r\n";

	foreach ($options AS $key => $value)
	{
		$value = str_replace('(COPPA) ', '', $value);
		$setting['html'] .= "<table style=\"width:200px; float:$stylevar[left]\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr valign=\"top\">
		<td><input type=\"checkbox\" name=\"setting[$setting[varname]][$key]\" id=\"setting[$setting[varname]]_$key\" value=\"1\"" . ((in_array($key, $allowed)) ? ' checked="checked"' : '') . " /></td>
		<td width=\"100%\" style=\"padding-top:4px\"><label title=\"$value\" for=\"setting[$setting[varname]]_$key\" class=\"smallfont\" style=\"white-space: nowrap;\">$value</label></td>\r\n</tr></table>\r\n";
	}

	print_label_row($description, $setting['html'], '', 'top', $name, 40);

	$handled = true;
}

$xml_opts = array(
	'default---infernoshout---editortools' => array(
		1	=> 'Bold',
		2	=> 'Underline',
		4	=> 'Italic',
		8	=> 'Colours',
		16	=> 'Fonts',
		32	=> 'Clear',
		64	=> 'Smilies',
		128	=> 'Detach',
	),
	'default---infernoshout---bbcodes' => array(
		1	=> 'Allow Basic BBCode',
		2	=> 'Allow Color BBCode',
		4	=> 'Allow Size BBCode',
		8	=> 'Allow Font BBCode',
		16	=> 'Allow Alignment BBCode',
		32	=> 'Allow List BBCode',
		64	=> 'Allow Link BBCode',
		128	=> 'Allow Code BBCode',
		256	=> 'Allow PHP BBCode',
		512	=> 'Allow HTML BBCode',
	),
);

if (in_array($setting['optioncode'], array_keys($xml_opts)))
{
	$options =& $xml_opts[$setting['optioncode']];

	$allowed = $setting['value'];

	$setting['html'] = "<div id=\"ctrl_setting[$setting[varname]]\" class=\"smallfont\">\r\n";
	$setting['html'] .= "<input type=\"hidden\" name=\"setting[$setting[varname]][0]\" value=\"0\" />\r\n";

	foreach ($options AS $key => $value)
	{
		$value = str_replace('(COPPA) ', '', $value);
		$setting['html'] .= "<table style=\"width:200px; float:$stylevar[left]\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr valign=\"top\">
		<td><input type=\"checkbox\" name=\"setting[$setting[varname]][$key]\" id=\"setting[$setting[varname]]_$key\" value=\"$key\"" . (($allowed & $key) ? ' checked="checked"' : '') . " /></td>
		<td width=\"100%\" style=\"padding-top:4px\"><label title=\"$value\" for=\"setting[$setting[varname]]_$key\" class=\"smallfont\" style=\"white-space: nowrap;\">$value</label></td>\r\n</tr></table>\r\n";
	}

	print_label_row($description, $setting['html'], '', 'top', $name, 40);

	$handled = true;
}]]></phpcode>
		</plugin>
		<plugin active="1" executionorder="5">
			<title>Inferno Shoutbox: Admin Usergroup Commands Save</title>
			<hookname>admin_options_processing</hookname>
			<phpcode><![CDATA[if (in_array($oldsetting['varname'], array('ishout_admincommands', 'ishout_hideshoutbox', 'ishout_protectedugs', 'ishout_bannedgroups', 'ishout_archiveperm', 'ishout_archive_search')))
{
	$allowed = array();

	if (is_array($vbulletin->GPC['setting'][$oldsetting['varname']]))
	{
		foreach ($vbulletin->GPC['setting'][$oldsetting['varname']] as $ug => $isallowed)
		{
			if ($isallowed)
			{
				$allowed[] = $ug;
			}
		}
	}

	$vbulletin->GPC['setting'][$oldsetting['varname']] = implode(',', $allowed);

	if ($settings[$oldsetting['varname']])
	{
		$settings[$oldsetting['varname']] = $vbulletin->GPC['setting'][$oldsetting['varname']];
	}
}

if (in_array($oldsetting['varname'], array('ishout_editor_tools', 'ishout_bbcodes')))
{
	$value = 0;

	if (is_array($vbulletin->GPC['setting'][$oldsetting['varname']]))
	{
		foreach ($vbulletin->GPC['setting'][$oldsetting['varname']] as $thisvalue)
		{
			$value += $thisvalue;
		}
	}

	$vbulletin->GPC['setting'][$oldsetting['varname']] = $value;

	if ($settings[$oldsetting['varname']])
	{
		$settings[$oldsetting['varname']] = $vbulletin->GPC['setting'][$oldsetting['varname']];
	}
}

if ($oldsetting['varname'] == 'ishout_aop')
{
	if ($vbulletin->GPC['setting'][$oldsetting['varname']] && !is_writable(DIR . '/infernoshout/aop/aop.php'))
	{
		print_cp_message('
			You have activated the setting "Shoutbox AOP" however the system is currently unable to write to the following file:
			<pre>./infernoshout/aop/aop.php</pre>
			Please ensure this file has CHMOD permissions of 0666 (if that does not work, try 0777).
		');
	}
}]]></phpcode>
		</plugin>
		<plugin active="1" executionorder="5">
			<title>Inferno Shoutbox: Initiate Engine</title>
			<hookname>cache_templates</hookname>
			<phpcode><![CDATA[if (THIS_SCRIPT == 'index') {
  $cache[] ='inferno_shoutbox_box';
  $cache[] ='inferno_shoutbox_box_alt';
  $cache[] ='inferno_shoutbox_editor';
  $cache[] ='inferno_shoutbox_shout';
  $cache[] ='inferno_shoutbox_user';
}]]></phpcode>
		</plugin>
		<plugin active="1" executionorder="5">
			<title>Inferno Shoutbox: Deploy Shoutbox</title>
			<hookname>global_complete</hookname>
			<phpcode><![CDATA[if (THIS_SCRIPT == 'index') {
  require_once(DIR . '/infernoshout/engine/inferno_deploy.php');
}]]></phpcode>
		</plugin>
		<plugin active="1" executionorder="5">
			<title>Inferno Shoutbox: Load Shoutbox</title>
			<hookname>global_start</hookname>
			<phpcode><![CDATA[if (THIS_SCRIPT == 'index') {
  require_once(DIR . '/infernoshout/engine/inferno_engine.php');
  require_once(DIR . '/infernoshout/engine/inferno_load.php');
}]]></phpcode>
		</plugin>
	</plugins>
	<phrases>
		<phrasetype name="Permissions" fieldname="cppermission">
			<phrase name="tool_bold" date="1168986169" username="Zero Tolerance" version="1.0"><![CDATA[Bold]]></phrase>
			<phrase name="tool_clear" date="1168986251" username="Zero Tolerance" version="1.0"><![CDATA[Clear]]></phrase>
			<phrase name="tool_color" date="1168986233" username="Zero Tolerance" version="1.0"><![CDATA[Colours]]></phrase>
			<phrase name="tool_font" date="1168986242" username="Zero Tolerance" version="1.0"><![CDATA[Fonts]]></phrase>
			<phrase name="tool_italic" date="1168986184" username="Zero Tolerance" version="1.0"><![CDATA[Italic]]></phrase>
			<phrase name="tool_underline" date="1168986197" username="Zero Tolerance" version="1.0"><![CDATA[Underline]]></phrase>
		</phrasetype>
		<phrasetype name="vBulletin Settings" fieldname="vbsettings">
			<phrase name="setting_ishout_admincommands_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Please select the usergroups which are allowed to use admin based commands. Admin commands are:<br /><pre>/prune
/ban userid or username
/unban userid or username
/notice Notice message here
/removenotice</pre>]]></phrase>
			<phrase name="setting_ishout_admincommands_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Admin Commands]]></phrase>
			<phrase name="setting_ishout_ajaxrefresh_desc" date="1194196461" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Enter many seconds before the shoutbox updates.
<br /><br />
When a user is not idle within the shoutbox, AJAX will dynamically refresh the shoutbox to fetch new content, the faster this is, the more real time the shoutbox is, however this speed comes at the cost of your system resources, and depending on your server/forum activity, it may be a very bad idea to set this to a low number, in some instances you may need to set it higher.
<br /><br />
To get the best results, we recommend testing new settings here, pushing time in small amounts (recommended: 1 second) and see what impact that makes on your server load.]]></phrase>
			<phrase name="setting_ishout_ajaxrefresh_title" date="1194196461" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[AJAX Refresh Speed]]></phrase>
			<phrase name="setting_ishout_aop_desc" date="1209789637" username="Zero Tolerance" version="2.5.0"><![CDATA[AOP ("Advanced Optimisation Protocol") is a new feature to greatly reduce the resources consumed by the shoutbox, which is ideal for small servers, or sites who wish to optimise the shoutbox.
<br /><br />
Turning this feature on will ensure the shoutbox only requests data when there is new data to be fetched, this means instead of constantly refreshing to see if there is new data, it only refreshes when there actually is new data. However, turning this option on may create a half or one second delay in displaying new shouts.
<br /><br />
For this option to work, the file './infernoshout/aop/aop.php' needs to be writeable, this can be done through FTP by CHMOD'ing the file to 0666.]]></phrase>
			<phrase name="setting_ishout_aop_title" date="1209789637" username="Zero Tolerance" version="2.5.0"><![CDATA[Shoutbox AOP (Advanced Optimisation Protocol)]]></phrase>
			<phrase name="setting_ishout_archive_link_desc" date="1206322807" username="Zero Tolerance" version="2.0.0"><![CDATA[By default, the shoutbox title will be a link to the shoutbox archive. However if you wish, you can turn this setting on which will remove the link from that title and add the link to '[Archive]' placed next to the shoutbox title.]]></phrase>
			<phrase name="setting_ishout_archive_link_title" date="1206322807" username="Zero Tolerance" version="2.0.0"><![CDATA[Shoutbox Alternate Archive Link]]></phrase>
			<phrase name="setting_ishout_archive_search_desc" date="1206322321" username="Zero Tolerance" version="2.0.0"><![CDATA[You can check which usergroups have permissions to search within the archive, note that the usergroup will also need access to view the archive too to be able to search.]]></phrase>
			<phrase name="setting_ishout_archive_search_title" date="1206322321" username="Zero Tolerance" version="2.0.0"><![CDATA[Archive Searching Permissions]]></phrase>
			<phrase name="setting_ishout_archiveperm_desc" date="1195182240" username="Zero Tolerance" version="2.0.0"><![CDATA[Select the usergroups you wish to allow access to view the shoutbox archive.]]></phrase>
			<phrase name="setting_ishout_archiveperm_title" date="1195182240" username="Zero Tolerance" version="2.0.0"><![CDATA[Archive Viewing Permissions]]></phrase>
			<phrase name="setting_ishout_autodelete_desc" date="1194988529" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[If you want, you can specify to auto delete shouts that are older than X seconds. Please note this is processed when someone shouts in the shoutbox, if the shoutbox has no user activity, shouts past this limit will still remain intact.
<br /><br />
Enter the lifespan of a shout in seconds (1800 = 30 Minutes).
<br /><br />
If you do not wish to auto delete shouts, enter 0 for this setting.]]></phrase>
			<phrase name="setting_ishout_autodelete_title" date="1194988529" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Auto Delete Shouts]]></phrase>
			<phrase name="setting_ishout_autoidle_desc" date="1194196469" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[The shoutbox auto-idle system is useful for large forums with heavy activity, or those who experience load issues. With this activated, the shoutbox will load once on your specified pages, then instantly become idle saving further resources from being used.
<br /><br />
Using this, will mean only users who decide to interface with the shoutbox will use resources, any users just browsing pages where the shoutbox is deployed will not consume resources.]]></phrase>
			<phrase name="setting_ishout_autoidle_title" date="1194196469" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Auto-Idle]]></phrase>
			<phrase name="setting_ishout_banned_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[You may enter banned user IDs here, seperated by a comma. Alternatively you can use the following commands in the shoutbox:<br />
<br />
<pre>/ban userid or username
/unban userid or username</pre>]]></phrase>
			<phrase name="setting_ishout_banned_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Banned Users]]></phrase>
			<phrase name="setting_ishout_bannedgroups_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Select the usergroups that are banned from the shoutbox, note users here will still be able to view the shoutbox.]]></phrase>
			<phrase name="setting_ishout_bannedgroups_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Banned Usergroups]]></phrase>
			<phrase name="setting_ishout_bbcodes_desc" date="1180556331" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Specify which BBCodes are allowed to be used within the shoutbox.]]></phrase>
			<phrase name="setting_ishout_bbcodes_title" date="1180556331" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Shoutbox BBCode Allowance]]></phrase>
			<phrase name="setting_ishout_colours_desc" date="1195001505" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[You may customise the colours automatically shown in the shoutbox editor for people to pick for the messages they shout. Put one colour on each line and make sure you only use hexcodes or colour names.]]></phrase>
			<phrase name="setting_ishout_colours_title" date="1195001505" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Editor Colours]]></phrase>
			<phrase name="setting_ishout_disable_acom_desc" date="1207172347" username="Zero Tolerance" version="2.0.0"><![CDATA[Switching this setting to Yes will mean that when an admin executes a command in the shoutbox (such as pruning, or banning a user) the notice that usually automatically shows will not be shown.]]></phrase>
			<phrase name="setting_ishout_disable_acom_title" date="1207172347" username="Zero Tolerance" version="2.0.0"><![CDATA[Disable Admin Command Notices]]></phrase>
			<phrase name="setting_ishout_disable_pm_desc" date="1206411370" username="Zero Tolerance" version="2.0.0"><![CDATA[The shoutbox has the ability for users to send private messages between themselves by clicking on a username to open a new chat tab, in which messages there will only be viewable by the sender and recipient. Or people can PM using the command:
<pre>/pm [username]; [message]</pre>
If you'd like to disable this feature, then set this to Yes.]]></phrase>
			<phrase name="setting_ishout_disable_pm_title" date="1206411370" username="Zero Tolerance" version="2.0.0"><![CDATA[Disable Private Messaging]]></phrase>
			<phrase name="setting_ishout_editor_position_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Choose the position of the shoutbox editor.]]></phrase>
			<phrase name="setting_ishout_editor_position_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Editor Position]]></phrase>
			<phrase name="setting_ishout_editor_tools_desc" date="1180556341" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Select which tools will be displayed within the shoutbox editor.]]></phrase>
			<phrase name="setting_ishout_editor_tools_title" date="1180556341" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Editor Tools]]></phrase>
			<phrase name="setting_ishout_flood_desc" date="1206411379" username="Zero Tolerance" version="2.0.0"><![CDATA[Set how many seconds a user must wait before posting another shout after a previous. For example, if this was set to 5, and a user made a shout, they would only be able to shout again 5 seconds later.]]></phrase>
			<phrase name="setting_ishout_flood_title" date="1206411379" username="Zero Tolerance" version="2.0.0"><![CDATA[Flood Control]]></phrase>
			<phrase name="setting_ishout_fonts_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Similar to "Editor Colours", only this applies for font styles.]]></phrase>
			<phrase name="setting_ishout_fonts_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Editor Fonts]]></phrase>
			<phrase name="setting_ishout_globaldeploy_desc" date="1195001409" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Setting this to yes will cause to the shoutbox to deploy on all vBulletin pages, however it will still only show if the template code has been added to a template on that page. The fastest way is to edit the template 'navbar' as that is shown globally.]]></phrase>
			<phrase name="setting_ishout_globaldeploy_title" date="1195001409" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Global Page Deployment]]></phrase>
			<phrase name="setting_ishout_height_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Specify a number in pixels for the default height of the window where shouts will be displayed. You do not need to enter 'px'.]]></phrase>
			<phrase name="setting_ishout_height_detach_desc" date="1206412550" username="Zero Tolerance" version="2.0.0"><![CDATA[Specify a number in pixels for the height of the window where shouts will be displayed <b>when detached</b>. You do not need to enter 'px'.]]></phrase>
			<phrase name="setting_ishout_height_detach_title" date="1206412550" username="Zero Tolerance" version="2.0.0"><![CDATA[Detached Messages Height Window]]></phrase>
			<phrase name="setting_ishout_height_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Default Messages Window Height]]></phrase>
			<phrase name="setting_ishout_hideshoutbox_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[If you wish to hide the shoutbox from specific usergroups select them here, note this will NOT ban them.]]></phrase>
			<phrase name="setting_ishout_hideshoutbox_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Hide Shoutbox To Usergroups]]></phrase>
			<phrase name="setting_ishout_idletime_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Insert the number of seconds you wish for a user to become idle in the shoutbox. During idle status the shoutbox will not refresh or call any data saving system resources.

Recommended setting is 180 (3 minutes), if you want to ignore this feature input a high number.]]></phrase>
			<phrase name="setting_ishout_idletime_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Idle Timeout]]></phrase>
			<phrase name="setting_ishout_images_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Select yes if you would like to allow users to include images within shout messages.]]></phrase>
			<phrase name="setting_ishout_images_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Allow Images]]></phrase>
			<phrase name="setting_ishout_largertext_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[By default, the shoutbox will use a smaller text size, however if you wish to turn this off you may do so by turning this setting on.]]></phrase>
			<phrase name="setting_ishout_largertext_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Use Normal Font Size]]></phrase>
			<phrase name="setting_ishout_lockdown_desc" date="1179845409" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[In lockdown mode, only the User ID specified here can shout, everyone elses shouts will be disregarded. Please enter the User ID you want to be able to shout during lockdown mode, to disable enter 0.]]></phrase>
			<phrase name="setting_ishout_lockdown_title" date="1179845409" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Shoutbox Lockdown Mode]]></phrase>
			<phrase name="setting_ishout_logging_desc" date="1207178950" username="Zero Tolerance" version="2.0.0"><![CDATA[Enabling this option will initiate shoutbox logs to be stored (you can view these under 'Statistics & Logs > Shoutbox Log'). The types of logs stored will be:
<br /><br />
- Shouts edited<br />
- Shouts deleted<br />
- /ban and /unban commands<br />
- /silence and /unsilence commands<br />
- /notice commands
<br /><br />
Please note this may have an impact on performance as it will require an additional query to store the logs.]]></phrase>
			<phrase name="setting_ishout_logging_high_desc" date="1207178977" username="Zero Tolerance" version="2.0.0"><![CDATA[This option is similar to low level logging, however it will track two specific commands only with a lot of data:
<br /><br />
- /prune commands
<br />
- /prune [username] commands
<br /><br />
While these command logs are like low level, it will also store an entire snapshot of the shoutbox shouts, allowing you to view the shoutbox data in raw format prior to it being pruned. This however means a lot of data will be stored, using more resources than low level logging.]]></phrase>
			<phrase name="setting_ishout_logging_high_title" date="1207178977" username="Zero Tolerance" version="2.0.0"><![CDATA[Shoutbox High Level Logging]]></phrase>
			<phrase name="setting_ishout_logging_title" date="1207178950" username="Zero Tolerance" version="2.0.0"><![CDATA[Shoutbox Low Level Logging]]></phrase>
			<phrase name="setting_ishout_maxbbsize_desc" date="1194991374" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[If you allow the bbcode [SIZE], you can limit the largest number allowable here, all values entered higher will be lowered.
<br /><br />
Enter 0 to ignore this setting.]]></phrase>
			<phrase name="setting_ishout_maxbbsize_title" date="1194991374" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Maximum [SIZE]]]></phrase>
			<phrase name="setting_ishout_notice_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[This will be displayed above all shouts and remain static. You can either enter the notice here or use the following commands within the shoutbox:
<br />
<br />
<pre>/notice Notice message here
/removenotice</pre>]]></phrase>
			<phrase name="setting_ishout_notice_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Shoutbox Notice]]></phrase>
			<phrase name="setting_ishout_online_desc" date="1206322718" username="Zero Tolerance" version="2.0.0"><![CDATA[Is the shoutbox system online?]]></phrase>
			<phrase name="setting_ishout_online_title" date="1206322718" username="Zero Tolerance" version="2.0.0"><![CDATA[Shoutbox Online]]></phrase>
			<phrase name="setting_ishout_pages_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Specify which scripts the shoutbox is shown on. Note, not only will the script need listing here, but the following code will also need to be on a template within that page:
<pre>&lt;!--{%SHOUTBOX%}--&gt;</pre>Seperate each script with a comma.]]></phrase>
			<phrase name="setting_ishout_pages_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Page Deployment]]></phrase>
			<phrase name="setting_ishout_postmarker_desc" date="1194998582" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[A post marker is a message in the shoutbox, to say when a user has reached a certain amount of posts in intervals. For example, if you inserted 100 for this setting, everytime a user hit 100, 200, 300, etc.. posts, the shoutbox would display a message saying so automatically.
<br /><br />
Set as 0 to disable.]]></phrase>
			<phrase name="setting_ishout_postmarker_title" date="1194998582" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Post Markers]]></phrase>
			<phrase name="setting_ishout_postnoticedisable_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[If you wish to disable all thread and reply notices within the shoutbox, set this option to Yes.]]></phrase>
			<phrase name="setting_ishout_postnoticedisable_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Disable Thread/Reply Notices]]></phrase>
			<phrase name="setting_ishout_protectedugs_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Select  any usergroups here to be protected, they will not be allowed to be banned.]]></phrase>
			<phrase name="setting_ishout_protectedugs_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Protected Usergroups]]></phrase>
			<phrase name="setting_ishout_sbtitle_desc" date="1207172206" username="Zero Tolerance" version="2.0.0"><![CDATA[The shoutbox title displayed on the category row of the shoutbox on your forums.]]></phrase>
			<phrase name="setting_ishout_sbtitle_title" date="1207172206" username="Zero Tolerance" version="2.0.0"><![CDATA[Shoutbox Title]]></phrase>
			<phrase name="setting_ishout_shoutorder_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[How would you like the shouts to be displayed in the shoutbox?]]></phrase>
			<phrase name="setting_ishout_shoutorder_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Shout Listings Order]]></phrase>
			<phrase name="setting_ishout_shouts_desc" date="1195177481" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Select the number of shouts you wish to display within the shoutbox, the higher this number, the more intensive the shoutbox may be on your server.]]></phrase>
			<phrase name="setting_ishout_shouts_detach_desc" date="1206411426" username="Zero Tolerance" version="2.0.0"><![CDATA[Select the number of shouts you wish to display within the shoutbox <b>when detached</b>, the higher this number, the more intensive the shoutbox may be on your server.]]></phrase>
			<phrase name="setting_ishout_shouts_detach_title" date="1206411426" username="Zero Tolerance" version="2.0.0"><![CDATA[Shouts To Display (Detached)]]></phrase>
			<phrase name="setting_ishout_shouts_title" date="1195177481" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Shouts To Display]]></phrase>
			<phrase name="setting_ishout_smilies_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Select yes if you would like to allow users to use smilies within shout messages.]]></phrase>
			<phrase name="setting_ishout_smilies_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Allow Smilies]]></phrase>
			<phrase name="setting_ishout_smiliesshow_desc" date="1206412068" username="Zero Tolerance" version="2.0.0"><![CDATA[Enter the amount of emoticons shown when a user clicks "Smilies" within the shoutbox. This must be beyond 0.]]></phrase>
			<phrase name="setting_ishout_smiliesshow_title" date="1206412068" username="Zero Tolerance" version="2.0.0"><![CDATA[Smilies To Show]]></phrase>
			<phrase name="setting_ishout_threadnotice_desc" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[The shoutbox will be populated with messages when users post or reply to threads to integrate forum activity. However you may wish to stop this occuring for specific forums, if you do, please enter the forum IDs here, seperated by a comma.]]></phrase>
			<phrase name="setting_ishout_threadnotice_title" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Thread/Reply Notice Exemptions]]></phrase>
			<phrase name="setting_ishout_topshouters_desc" date="1194200224" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[How many top shouters do you want to display within the archive?]]></phrase>
			<phrase name="setting_ishout_topshouters_title" date="1194200224" username="Zero Tolerance" version="1.0.1 Pro"><![CDATA[Top Shouters To Show]]></phrase>
			<phrase name="settinggroup__inferno_shoutbox_settings" date="1179845108" username="Zero Tolerance" version="1.0.1 Lite"><![CDATA[Inferno vBShout Settings (Pro)]]></phrase>
		</phrasetype>
	</phrases>
	<options>
		<settinggroup name="_inferno_shoutbox_settings" displayorder="580">
			<setting varname="ishout_online" displayorder="1">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>1</defaultvalue>
			</setting>
			<setting varname="ishout_sbtitle" displayorder="2">
				<datatype>free</datatype>
				<defaultvalue>Shoutbox</defaultvalue>
			</setting>
			<setting varname="ishout_logging" displayorder="5">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_logging_high" displayorder="6">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_disable_acom" displayorder="7">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_aop" displayorder="9">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_archive_link" displayorder="10">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_lockdown" displayorder="11">
				<datatype>number</datatype>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_shouts" displayorder="12">
				<datatype>number</datatype>
				<defaultvalue>20</defaultvalue>
			</setting>
			<setting varname="ishout_shouts_detach" displayorder="14">
				<datatype>number</datatype>
				<defaultvalue>100</defaultvalue>
			</setting>
			<setting varname="ishout_flood" displayorder="17">
				<datatype>number</datatype>
				<defaultvalue>5</defaultvalue>
			</setting>
			<setting varname="ishout_disable_pm" displayorder="18">
				<datatype>free</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_largertext" displayorder="19">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_pages" displayorder="20">
				<datatype>free</datatype>
				<optioncode>textarea</optioncode>
				<defaultvalue>index</defaultvalue>
			</setting>
			<setting varname="ishout_globaldeploy" displayorder="21">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_colours" displayorder="22">
				<datatype>free</datatype>
				<optioncode>textarea</optioncode>
				<defaultvalue>Red
Blue
Green
Orange
Brown
Black
Yellow
Purple
Pink
Silver</defaultvalue>
			</setting>
			<setting varname="ishout_fonts" displayorder="22">
				<datatype>free</datatype>
				<optioncode>textarea</optioncode>
				<defaultvalue>Arial
Arial Black
Arial Narrow
Book Antiqua
Century Gothic
Comic Sans MS
Courier New
Fixedsys
Franklin Gothic Medium
Garamond
Georgia
Impact
Lucida Console
Microsoft Sans Serif
Palatino Linotype
System
Tahoma
Times New Roman
Trebuchet MS
Verdana</defaultvalue>
			</setting>
			<setting varname="ishout_editor_position" displayorder="30">
				<datatype>boolean</datatype>
				<optioncode><![CDATA[<select name=\"setting[$setting[varname]]\" tabindex=\"1\" class=\"bginput\">
<option value=\"0\" " . iif($setting['value']==0,'selected="selected"') . ">Above Messages</option>
<option value=\"1\" " . iif($setting['value']==1,'selected="selected"') . ">Below Messages</option>
</select>]]></optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_shoutorder" displayorder="31">
				<datatype>number</datatype>
				<optioncode><![CDATA[<select name=\"setting[$setting[varname]]\" tabindex=\"1\" class=\"bginput\">
<option value=\"0\" " . iif($setting['value']==0,'selected="selected"') . ">Newest at the top</option>
<option value=\"1\" " . iif($setting['value']==1,'selected="selected"') . ">Newest at the bottom</option>
</select>]]></optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_height" displayorder="40">
				<datatype>number</datatype>
				<defaultvalue>110</defaultvalue>
			</setting>
			<setting varname="ishout_height_detach" displayorder="43">
				<datatype>number</datatype>
				<defaultvalue>350</defaultvalue>
			</setting>
			<setting varname="ishout_smiliesshow" displayorder="49">
				<datatype>number</datatype>
				<defaultvalue>8</defaultvalue>
			</setting>
			<setting varname="ishout_editor_tools" displayorder="50">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---editortools</optioncode>
			</setting>
			<setting varname="ishout_bbcodes" displayorder="60">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---bbcodes</optioncode>
				<defaultvalue>12</defaultvalue>
			</setting>
			<setting varname="ishout_maxbbsize" displayorder="61">
				<datatype>number</datatype>
				<defaultvalue>3</defaultvalue>
			</setting>
			<setting varname="ishout_images" displayorder="70">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>1</defaultvalue>
			</setting>
			<setting varname="ishout_smilies" displayorder="80">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>1</defaultvalue>
			</setting>
			<setting varname="ishout_notice" displayorder="90">
				<datatype>free</datatype>
				<optioncode>textarea</optioncode>
			</setting>
			<setting varname="ishout_banned" displayorder="100">
				<datatype>free</datatype>
				<optioncode>textarea</optioncode>
			</setting>
			<setting varname="ishout_idletime" displayorder="110">
				<datatype>number</datatype>
				<defaultvalue>180</defaultvalue>
			</setting>
			<setting varname="ishout_admincommands" displayorder="120">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---usergroups</optioncode>
			</setting>
			<setting varname="ishout_hideshoutbox" displayorder="121">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---usergroups---hidden</optioncode>
			</setting>
			<setting varname="ishout_protectedugs" displayorder="122">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---usergroups---protected</optioncode>
			</setting>
			<setting varname="ishout_bannedgroups" displayorder="123">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---usergroups---bannedug</optioncode>
			</setting>
			<setting varname="ishout_postnoticedisable" displayorder="129">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_threadnotice" displayorder="130">
				<datatype>free</datatype>
				<optioncode>textarea</optioncode>
			</setting>
			<setting varname="ishout_ajaxrefresh" displayorder="140">
				<datatype>number</datatype>
				<defaultvalue>5</defaultvalue>
			</setting>
			<setting varname="ishout_autoidle" displayorder="150">
				<datatype>boolean</datatype>
				<optioncode>yesno</optioncode>
				<defaultvalue>0</defaultvalue>
			</setting>
			<setting varname="ishout_topshouters" displayorder="160">
				<datatype>number</datatype>
				<defaultvalue>10</defaultvalue>
			</setting>
			<setting varname="ishout_autodelete" displayorder="170">
				<datatype>number</datatype>
				<defaultvalue>1800</defaultvalue>
			</setting>
			<setting varname="ishout_archiveperm" displayorder="180">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---usergroups---archiveperm</optioncode>
			</setting>
			<setting varname="ishout_archive_search" displayorder="181">
				<datatype>free</datatype>
				<optioncode>default---infernoshout---usergroups---archivesearchperm</optioncode>
			</setting>
			<setting varname="ishout_postmarker" displayorder="190">
				<datatype>number</datatype>
				<defaultvalue>100</defaultvalue>
			</setting>
		</settinggroup>
	</options>
	<helptopics>
	</helptopics>
	<cronentries>
	</cronentries>
	<faqentries>
	</faqentries>
</product>
